Arbor 3: FSM & BT Graph Editor 3.7.8

Static Public Member Functions | List of all members
MemberCache Class Reference

MemberInfo cache More...

## Static Public Member Functions
static void | Clear ()
| Clear cache More...
static MethodInfo | GetMethodInfo (System.Type type, string methodName, System.Type[] arguments)
| Get MethodInfo. More...
static MethodInfo | GetMethodInfoRenamedFrom (System.Type type, string methodName, System.Type[] arguments)
| Get the renamed MethodInfo. More...
static FieldInfo | GetFieldInfo (System.Type type, string fieldName)
| Get FieldInfo. More...
static FieldInfo | GetFieldInfoRenamedFrom (System.Type type, string fieldName, System.Type fieldType)
| Get the renamed FieldInfo. More...
static PropertyInfo | GetPropertyInfo (System.Type type, string propertyName)
| Get PropertyInfo. More...
static PropertyInfo | GetPropertyInfoRenamedFrom (System.Type type, string propertyName, System.Type propertyType)
| Get the renamed PropertyInfo. More...

## Detailed Description

MemberInfo cache

## Member Function Documentation

## ◆ Clear()

static void Clear | ( |  | ) |
| static

Clear cache

## ◆ GetFieldInfo()

static FieldInfo GetFieldInfo | ( | System.Type | type,
|  | string | fieldName
| ) |  |
| static

Get FieldInfo.

Parameters

  type | Type
  fieldName | Field name

Returns
  FieldInfo to get. If there is none, it returns null.

## ◆ GetFieldInfoRenamedFrom()

static FieldInfo GetFieldInfoRenamedFrom | ( | System.Type | type,
|  | string | fieldName,
|  | System.Type | fieldType
| ) |  |
| static

Get the renamed FieldInfo.

Parameters

  type | Type
  fieldName | Field name
  fieldType | Field type

Returns
  FieldInfo to get. If there is none, it returns null.

## ◆ GetMethodInfo()

static MethodInfo GetMethodInfo | ( | System.Type | type,
|  | string | methodName,
|  | System.Type[] | arguments
| ) |  |
| static

Get MethodInfo.

Parameters

  type | Type
  methodName | Method name
  arguments | Argument types

Returns
  MethodInfo to get. If there is none, it returns null.

## ◆ GetMethodInfoRenamedFrom()

static MethodInfo GetMethodInfoRenamedFrom | ( | System.Type | type,
|  | string | methodName,
|  | System.Type[] | arguments
| ) |  |
| static

Get the renamed MethodInfo.

Parameters

  type | Type
  methodName | Method name
  arguments | Argument types

Returns
  MethodInfo to get. If there is none, it returns null.

## ◆ GetPropertyInfo()

static PropertyInfo GetPropertyInfo | ( | System.Type | type,
|  | string | propertyName
| ) |  |
| static

Get PropertyInfo.

Parameters

  type | Type
  propertyName | Property name

Returns
  PropertyInfo to get. If there is none, it returns null.

## ◆ GetPropertyInfoRenamedFrom()

static PropertyInfo GetPropertyInfoRenamedFrom | ( | System.Type | type,
|  | string | propertyName,
|  | System.Type | propertyType
| ) |  |
| static

Get the renamed PropertyInfo.

Parameters

  type | Type
  propertyName | Property name
  propertyType | Property type

Returns
  PropertyInfo to get. If there is none, it returns null.